Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.struts.plugins
Class DefaultErrorResponseFormatter

    java.lang.Object
      com.ibm.portal.struts.plugins.DefaultErrorResponseFormatter

All Implemented Interfaces:
  IErrorResponseFormatter

    public class DefaultErrorResponseFormatter

extends java.lang.Object
implements IErrorResponseFormatter

DefaultErrorResponseFormatter is the default implementation of an ErrorResponseFormatter.

Since:
  5.1.0.1

Constructor Summary
`DefaultErrorResponseFormatter()`

Method Summary
`void` | `formatError(ErrorResponseInfo errorInfo, PortletRequest request, PortletResponse response, ViewCommandExecutionContext executionContext)` Format the error information.
`void` | `formatError(ErrorResponseInfo errorInfo, java.io.PrintWriter outWriter)` Formats the error information in the request and response objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultErrorResponseFormatter

    public DefaultErrorResponseFormatter()

Method Detail

### formatError

    public void formatError(ErrorResponseInfo errorInfo,
                            PortletRequest request,
                            PortletResponse response,
                            ViewCommandExecutionContext executionContext)

  Format the error information. The default implementation simply calls formatError method with the errorInfo and the PrintWriter from the response to format the error information. Override this method only if you need access to the request and/or ViewCommandExecution information.

  Specified by:
    `formatError` in interface `IErrorResponseFormatter`
  Parameters:
    `errorInfo` - the ErrorResponseInfo object
    `request` - The request object
    `request` - The response object
    `executionContext` - the execution context object
    `response` - The response object

### formatError

    public void formatError(ErrorResponseInfo errorInfo,
                            java.io.PrintWriter outWriter)

  Formats the error information in the request and response objects.

  Specified by:
    `formatError` in interface `IErrorResponseFormatter`
  Parameters:
    `errorInfo` - the ErrorResponseInfo object
    `outWriter` - the PrintWriter to write to

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD